commit:     807d990c38b83b505e4cb9bed22feb30b68b5839
Author:     NHOrus <jy6x2b32pie9 <AT> yahoo <DOT> com>
AuthorDate: Sun Mar  8 20:17:11 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar 11 13:43:15 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=807d990c

sci-visualization/xgraph: Mark as C17

Uses a lot of K&R C, can't be ported without rewrite.

Closes: https://bugs.gentoo.org/945021
Closes: https://bugs.gentoo.org/962486
Signed-off-by: NHOrus <jy6x2b32pie9 <AT> yahoo.com>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/260
Merges: https://codeberg.org/gentoo/gentoo/pulls/260
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-visualization/xgraph/xgraph-12.1-r6.ebuild | 49 ++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/sci-visualization/xgraph/xgraph-12.1-r6.ebuild 
b/sci-visualization/xgraph/xgraph-12.1-r6.ebuild
new file mode 100644
index 000000000000..2ad009c991ff
--- /dev/null
+++ b/sci-visualization/xgraph/xgraph-12.1-r6.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic
+
+DEB_PR=16
+
+DESCRIPTION="X11 Plotting Utility"
+HOMEPAGE="https://www.isi.edu/nsnam/xgraph/";
+SRC_URI="https://www.isi.edu/nsnam/dist/${P}.tar.gz
+       
mirror://debian/pool/main/${PN:0:1}/${PN}/${PN}_${PV}-${DEB_PR}.debian.tar.gz"
+
+LICENSE="xgraph"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~sparc ~x86"
+IUSE="examples"
+
+RDEPEND="x11-libs/libSM
+       x11-libs/libX11"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${WORKDIR}"/debian/patches/debian-changes )
+
+src_prepare() {
+       default
+       rm -f configure.in Makefile.in || die
+       eautoreconf
+}
+
+src_configure() {
+       append-cflags -std=gnu17 #945021
+       default
+}
+
+src_install() {
+       default
+       dodoc "${WORKDIR}"/debian/changelog
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+       dodir /usr/share/man/man1
+
+       mv "${ED}"/usr/share/man/manm/xgraph.man \
+          "${ED}"/usr/share/man/man1/xgraph.1 || die
+       rm -r "${ED}"/usr/share/man/manm || die
+}

Reply via email to